Packages
Retrieves a paginated list of packages that have been deployed to at least one virtual environment.
API key passed in the Authorization header. Format: <api-key>
Filter results by name.
Comma-separated list of relationships to include. Available: createdBy, flowVersions.deployments, virtualEnvironments, deployments.virtualEnvironment.deployedVersion, deployments.user, package, flowVersionDeployments, flowVersionDeployments, flowVersionDeployments
Sort field. Prefix with - for descending. Available: name
Page number for pagination.
1Number of results per page.
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/flow-version-deployments/packages HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves a paginated list of packages.
API key passed in the Authorization header. Format: <api-key>
Filter results by name.
Comma-separated list of relationships to include. Available: createdBy, flowVersions.deployments, virtualEnvironments, deployments.virtualEnvironment.deployedVersion, deployments.user, package, flowVersionDeployments, flowVersionDeployments, flowVersionDeployments
Sort field. Prefix with - for descending. Available: name
Page number for pagination.
1Number of results per page.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/packages HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"name": "My Example",
"notes": "example_notes",
"created_by": "example_created_by",
"priority": 1,
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"created_by_user": [],
"flow_versions": [],
"virtual_environments": [],
"deployments": [],
"flow_versions_count": 5,
"deployments_count": 5,
"flow_version_deployments_count": 5
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.example.com/api/v1/packages",
"per_page": 25,
"to": 1,
"total": 1
},
"links": {
"first": "https://api.example.com/api/v1/packages?page=1",
"last": "https://api.example.com/api/v1/packages?page=1",
"prev": null,
"next": null
}
}Creates a new package.
API key passed in the Authorization header. Format: <api-key>
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/packages HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"notes": "example_notes",
"name": "My Example"
}{
"data": {
"id": 1,
"name": "My Example",
"notes": "example_notes",
"created_by": "example_created_by",
"priority": 1,
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"created_by_user": [],
"flow_versions": [],
"virtual_environments": [],
"deployments": [],
"flow_versions_count": 5,
"deployments_count": 5,
"flow_version_deployments_count": 5
}
}Retrieves the details of a specific package.
API key passed in the Authorization header. Format: <api-key>
The package identifier.
Filter results by name.
Comma-separated list of relationships to include. Available: createdBy, flowVersions.deployments, virtualEnvironments, deployments.virtualEnvironment.deployedVersion, deployments.user, package, flowVersionDeployments, flowVersionDeployments, flowVersionDeployments
Sort field. Prefix with - for descending. Available: name
Page number for pagination.
1Number of results per page.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/packages/{package} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": {
"id": 1,
"name": "My Example",
"notes": "example_notes",
"created_by": "example_created_by",
"priority": 1,
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"created_by_user": [],
"flow_versions": [],
"virtual_environments": [],
"deployments": [],
"flow_versions_count": 5,
"deployments_count": 5,
"flow_version_deployments_count": 5
}
}Updates an existing package.
API key passed in the Authorization header. Format: <api-key>
The package identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
PUT /api/v1/packages/{package} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"notes": "example_notes",
"name": "My Example"
}{
"data": {
"id": 1,
"name": "My Example",
"notes": "example_notes",
"created_by": "example_created_by",
"priority": 1,
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"created_by_user": [],
"flow_versions": [],
"virtual_environments": [],
"deployments": [],
"flow_versions_count": 5,
"deployments_count": 5,
"flow_version_deployments_count": 5
}
}Permanently deletes a specific package.
API key passed in the Authorization header. Format: <api-key>
The package identifier.
Successful response
Unauthenticated
Unauthorized
DELETE /api/v1/packages/{package} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"message": "Action completed successfully."
}Compares a specific package against the current state of a specific virtual environment.
API key passed in the Authorization header. Format: <api-key>
The package identifier.
The virtual environment identifier.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/packages/{package}/compare/{virtual_environment} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{}Deploys a specific package to a specific virtual environment.
API key passed in the Authorization header. Format: <api-key>
The package identifier.
The virtual environment identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/packages/{package}/deploy/{virtual_environment} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 25
{
"notes": "example_notes"
}{}Adds a specific flow version to a specific package.
API key passed in the Authorization header. Format: <api-key>
The package identifier.
The flow version identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/packages/{package}/flow-versions/{flow_version} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 14
{
"priority": 1
}{
"data": {
"id": 1,
"virtual_environment_id": 1,
"flow_version_id": 1,
"priority": 1,
"cron_string": "example_cron_string",
"microservice": "example_microservice",
"config": "example_config",
"flow_step_route_id": 1,
"variables": "example_variables",
"parent_id": 1,
"type": "example_type",
"key": "example_key",
"value": "example_value",
"date_format": "example_date_format",
"secret": "example_secret",
"enabled_at": "2025-01-15T10:30:00.000000Z",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"flow_id": 1,
"flow_name": "example_flow_name",
"flow_priority": "example_flow_priority",
"iteration": "example_iteration",
"status": "Draft",
"is_deployed": true,
"is_editable": true,
"deployed_at": "2025-01-15T10:30:00.000000Z",
"deployed_by": {},
"deployed_by_user": {},
"deployments": [],
"has_callback_step": [],
"steps": [],
"runs": "example_runs",
"latest_run": "example_latest_run",
"schedules": "example_schedules",
"filters": [],
"steps_count": 5,
"pivot": "example_pivot"
}
}Removes a specific flow version from a specific package.
API key passed in the Authorization header. Format: <api-key>
The package identifier.
The flow version identifier.
Successful response
Unauthenticated
Unauthorized
DELETE /api/v1/packages/{package}/flow-versions/{flow_version} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"message": "Action completed successfully."
}Removes a specific virtual environment from a specific package.
API key passed in the Authorization header. Format: <api-key>
The package identifier.
The virtual environment identifier.
Successful response
Unauthenticated
Unauthorized
DELETE /api/v1/packages/{package}/virtual-environments/{virtual_environment} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"message": "Action completed successfully."
}Last updated
Was this helpful?